Squadcast is now SolarWinds Incident Response
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Services/Overlay/Custom Content Templates

Get All Custom Content Template Overlay by Service

get
/v3/services/{serviceID}/overlays/custom-content
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
serviceIDstringRequired
Header parameters
authorizationstringOptional
Responses
200

The request has succeeded.

application/json
get/v3/services/{serviceID}/overlays/custom-content
GET /v3/services/{serviceID}/overlays/custom-content HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "created_at": "2026-01-01T00:00:00.000Z",
      "updated_at": "2026-01-01T00:00:00.000Z",
      "deleted_at": "2026-01-01T00:00:00.000Z",
      "org_id": "text",
      "service_id": "text",
      "alert_source_version": "text",
      "alert_source_shortname": "text",
      "overlay_template_type": "text",
      "overlay": {
        "message": "text",
        "description": "text"
      },
      "created_by": "text",
      "updated_by": "text",
      "alert_source_type": "text"
    }
  ]
}

Render Custom Content Overlay

post
/v3/services/{serviceID}/overlays/custom-content/render
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
serviceIDstringRequired
Body
overlay_template_typestringRequired
templatestringRequired
payloadstringRequired
Responses
200

The request has succeeded.

application/json
datastringRequired
post/v3/services/{serviceID}/overlays/custom-content/render
POST /v3/services/{serviceID}/overlays/custom-content/render HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 67

{
  "overlay_template_type": "text",
  "template": "text",
  "payload": "text"
}
{
  "data": "text"
}

Get Custom Content Template Overlay

get
/v3/services/{serviceID}/overlays/custom-content/{alertSource}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
serviceIDstringRequired
alertSourcestringRequired
Header parameters
authorizationstringOptional
Responses
200

The request has succeeded.

application/json
get/v3/services/{serviceID}/overlays/custom-content/{alertSource}
GET /v3/services/{serviceID}/overlays/custom-content/{alertSource} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "deleted_at": "2026-01-01T00:00:00.000Z",
    "org_id": "text",
    "service_id": "text",
    "alert_source_version": "text",
    "alert_source_shortname": "text",
    "overlay_template_type": "text",
    "overlay": {
      "message": "text",
      "description": "text"
    },
    "created_by": "text",
    "updated_by": "text",
    "alert_source_type": "text"
  }
}

Create or Update Notification Template Overlay

put
/v3/services/{serviceID}/overlays/custom-content/{alertSource}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
serviceIDstringRequired
alertSourcestringRequired
Body
overlay_template_typestringRequired
Responses
200

The request has succeeded.

application/json
put/v3/services/{serviceID}/overlays/custom-content/{alertSource}
PUT /v3/services/{serviceID}/overlays/custom-content/{alertSource} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 112

{
  "overlay_template_type": "text",
  "message_overlay": {
    "template": "text"
  },
  "description_overlay": {
    "template": "text"
  }
}
{
  "data": {
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "deleted_at": "2026-01-01T00:00:00.000Z",
    "org_id": "text",
    "service_id": "text",
    "alert_source_version": "text",
    "alert_source_shortname": "text",
    "overlay_template_type": "text",
    "overlay": {
      "message": "text",
      "description": "text"
    },
    "created_by": "text",
    "updated_by": "text",
    "alert_source_type": "text"
  }
}

Delete Notification Template Overlay

delete
/v3/services/{serviceID}/overlays/custom-content/{alertSource}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
serviceIDstringRequired
alertSourcestringRequired
Header parameters
authorizationstringOptional
Responses
204

There is no content to send for this request, but the headers may be useful.

*/*
objectOptional
delete/v3/services/{serviceID}/overlays/custom-content/{alertSource}
DELETE /v3/services/{serviceID}/overlays/custom-content/{alertSource} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{}

Last updated